Bug 1263875 - file-5.28 is available
file-5.28 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 20:13 EDT by Upstream Release Monitoring
Modified: 2016-06-26 15:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: file-5.28-1.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-24 12:20:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (50.99 KB, patch)
2016-04-16 20:15 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (51.00 KB, patch)
2016-05-13 20:19 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (53.24 KB, patch)
2016-06-14 20:54 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-09-16 20:13:03 EDT
Latest upstream release: 5.25
Current version/release in rawhide: 5.22-5.fc23
URL: ftp://ftp.astron.com/pub/file/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-09-16 20:13:31 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-Wk8IRq/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-Wk8IRq/100.0%: No such file or directory
Comment 2 Account closed by the user 2015-10-25 12:45:22 EDT
(In reply to Upstream Release Monitoring from comment #0)

> Latest upstream release: 5.25
> Current version/release in rawhide: 5.22-5.fc23


- release 5.25
* add a limit to the length of regex searches
* fix problems with --parameter (Christoph Biedl)
* Windows fixes PR/466 (Jason Hood)

- release 5.24
* redo long option encoding to fix off-by-one in 5.23

- release 5.23
* Fix issue with regex range for magic with offset
* Always return true from mget with USE (success to mget not match
  indication). Fixes mime evaluation after USE magic
* PR/459: Don't insert magic entries to the list if there are parsing
  errors for them.
* PR/455: Add utf-7 encoding
* PR/455: Implement -Z, look inside, but don't report on compression
* PR/454: Fix allocation error on bad magic.
* handle MAGIC_CONTINUE everywhere, not just in softmagic
* don't print descriptions for NAME types when mime.
* Add --extension to list the known extensions for this file type
  Idea by Andrew J Roazen
* Bump file search buffer size to 1M.
* Fix multiple issues with date formats reported by Christoph Biedl:
        - T_LOCAL meaning was reversed
        - Arithmetic did not work
* Also stop adjusting daylight savings for gmt printing.
Comment 3 Upstream Release Monitoring 2015-11-05 05:39:07 EST
jkaluza's file-5.25-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=696174
Comment 4 Upstream Release Monitoring 2015-11-05 05:50:24 EST
rkuska's file-5.25-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=696179
Comment 5 Upstream Release Monitoring 2015-11-20 04:46:26 EST
jkaluza's file-5.25-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=700450
Comment 6 Upstream Release Monitoring 2016-01-06 02:00:44 EST
jkaluza's file-5.25-4.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=709324
Comment 7 Upstream Release Monitoring 2016-01-28 08:32:12 EST
jkaluza's file-5.25-5.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=714474
Comment 8 Upstream Release Monitoring 2016-02-03 17:20:44 EST
releng's file-5.25-6.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=718456
Comment 9 Upstream Release Monitoring 2016-04-16 20:14:27 EDT
Latest upstream release: 5.26
Current version/release in rawhide: 5.25-6.fc24
URL: ftp://ftp.astron.com/pub/file/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/807/
Comment 10 Upstream Release Monitoring 2016-04-16 20:15:34 EDT
Patching or scratch build for file-5.25 failed.
Comment 11 Upstream Release Monitoring 2016-04-16 20:15:35 EDT
Created attachment 1148032 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 12 Upstream Release Monitoring 2016-04-16 20:15:37 EDT
Following patches has been deleted:
['file-5.04-generic-msdos.patch', 'file-5.19-cafebabe.patch', 'file-trunk-msx-binary.patch', 'file-5.25-minix.patch']
Comment 13 Upstream Release Monitoring 2016-04-16 20:15:39 EDT
Following patches has been unapplied:
['file-5.04-generic-msdos.patch', 'file-5.19-cafebabe.patch', 'file-5.25-minix.patch']
Comment 14 Upstream Release Monitoring 2016-05-13 20:18:27 EDT
Latest upstream release: 5.27
Current version/release in rawhide: 5.25-6.fc24
URL: ftp://ftp.astron.com/pub/file/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/807/
Comment 15 Upstream Release Monitoring 2016-05-13 20:19:32 EDT
Patching or scratch build for file-5.25 failed.
Comment 16 Upstream Release Monitoring 2016-05-13 20:19:34 EDT
Created attachment 1157411 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 17 Upstream Release Monitoring 2016-05-13 20:19:35 EDT
Following patches has been deleted:
['file-localmagic.patch', 'file-5.10-strength.patch', 'file-4.17-rpm-name.patch', 'file-5.04-volume_key.patch', 'file-5.04-man-return-code.patch', 'file-5.14-x86boot.patch', 'file-5.14-perl.patch', 'file-5.22-awk-perl.patch', 'file-5.24-varied.patch']
Comment 18 Upstream Release Monitoring 2016-05-13 20:19:36 EDT
Following patches has been unapplied:
['file-5.04-generic-msdos.patch', 'file-5.19-cafebabe.patch', 'file-5.25-minix.patch']
Comment 19 Upstream Release Monitoring 2016-06-14 20:53:21 EDT
Latest upstream release: 5.28
Current version/release in rawhide: 5.25-6.fc24
URL: ftp://ftp.astron.com/pub/file/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/807/
Comment 20 Upstream Release Monitoring 2016-06-14 20:54:28 EDT
Patching or scratch build for file-5.25 failed.
Comment 21 Upstream Release Monitoring 2016-06-14 20:54:30 EDT
Created attachment 1168068 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 22 Upstream Release Monitoring 2016-06-14 20:54:31 EDT
Following patches has been deleted:
['file-localmagic.patch', 'file-5.10-strength.patch', 'file-4.17-rpm-name.patch', 'file-5.04-volume_key.patch', 'file-5.04-man-return-code.patch', 'file-5.14-x86boot.patch', 'file-5.22-awk-perl.patch', 'file-5.24-varied.patch']
Comment 23 Upstream Release Monitoring 2016-06-14 20:54:32 EDT
Following patches has been modified:
['/var/tmp/thn-rh3089QV/rebase-helper-results/file-localmagic.patch']
Comment 24 Upstream Release Monitoring 2016-06-14 20:54:33 EDT
Following patches has been unapplied:
['file-5.04-generic-msdos.patch', 'file-5.14-perl.patch', 'file-5.19-cafebabe.patch', 'file-trunk-msx-binary.patch', 'file-5.25-minix.patch']
Comment 25 Fedora Admin XMLRPC Client 2016-06-24 06:59:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 26 Kamil Dudka 2016-06-24 12:20:11 EDT
downstream commit:

http://pkgs.fedoraproject.org/cgit/rpms/file.git/commit/?id=85d63d0c

Note You need to log in before you can comment on or make changes to this bug.